## jtex-base 2.1

=== debian/changelog ===
jtex-base (2.1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (closes: #1007621)
  * Drop texlive-base-bin alternative depends. (closes: #1030076, #1030078)

 -- Bastian Germann <bage@debian.org>  Mon, 08 Jul 2024 16:37:09 +0200

jtex-base (2.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep}. (Closes: #999008)
  * Remove Atsuhito Kohda from Uploaders. (Closes: #773956)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Dec 2021 22:41:30 +0200

jtex-base (2.1-1.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 14:16:18 +0100

jtex-base (2.1-1.1) unstable; urgency=low

  * NMU.
  [TSUCHIYA Masatoshi]
  * New upstream.
  [Atsuhito Kohda]
  * Changed sponsor and uploader.
  * Fixed control, compat, rules and postinst, postrm files to erase
    lintian warnings.
   - added ${misc:Depends} in control file.
   - added compat with 7
   - so replaced "dh_clean -k" with "dh_prep" in rules file.
   - removed prepended path in postinst and postrm.

 -- Atsuhito KOHDA <kohda@debian.org>  Sun, 27 Dec 2009 20:44:26 +0900

jtex-base (1.9.1-6) unstable; urgency=low

  * Fix policy violation: call mktexlsr in postrm maintainer script only
    when it is avilable.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Mon, 16 Oct 2006 19:44:15 +0900

jtex-base (1.9.1-5) unstable; urgency=low

  * Fix lintian error.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 14 Oct 2006 16:46:48 +0900

jtex-base (1.9.1-4) unstable; urgency=low

  * Now depends on texlive-base-bin - closes: #357198
  * Bumped to Standards-Version: 3.7.2 (no physical changes).

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Fri, 06 Oct 2006 08:12:17 +0900

jtex-base (1.9.1-3) unstable; urgency=low

  * Macro files of JLaTeX 2.09 are splitted into the new package
    `jlatex209-base'.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 12 Apr 2003 16:40:57 +0900

jtex-base (1.9.1-2) unstable; urgency=low

  * Now recommends jtex-bin instead of being suggedted.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Mon, 24 Mar 2003 10:19:22 +0900

jtex-base (1.9.1-1) unstable; urgency=low

  * New Maintainer.
  * Sponsored by Masayuki Hatta <mhatta@debian.org>.
  * New upstream release - closes: #92488 

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Fri, 21 Mar 2003 13:33:25 +0900

jtex-base (1.9.1-0.4) unstable; urgency=low

  * debian/rules: Fix lintian error.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Tue, 28 Jan 2003 21:55:44 +0900

jtex-base (1.9.1-0.3) unstable; urgency=low

  * debian/postinst: Call mktexlsr when this package is configured.
  * debian/postirm: Call mktexlsr when this package is removed.
  These changes are suggested by Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Fri, 24 Jan 2003 13:25:23 +0900

jtex-base (1.9.1-0.2) unstable; urgency=low

  * Fix debian/README.Debian.
  * Create a symbolic link to point where documents of JTeX are placed.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 22 Jan 2003 22:54:52 +0900

jtex-base (1.9.1-0.1) unstable; urgency=low

  * NMU.
  * New upstream. (closes: #92488)

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Thu, 02 Jan 2003 23:07:46 +0900

jtex-base (1.8-8) unstable; urgency=low

  * Deleted stable from distribution.
  * Fixed changelog for 1.8-7.
  * Version 1.8-7 closes: #132126.

 -- Hayao Nakahara <nakahara@debian.org>  Sat,  2 Mar 2002 18:31:45 +0900

jtex-base (1.8-7) stable unstable; urgency=low

  * Maintainer Upload. 
  * Applied patch by Raphael Hertzog's NMU.

 -- Hayao Nakahara <nakahara@debian.org>  Mon, 25 Feb 2002 22:44:01 +0900

jtex-base (1.8-6.1) unstable; urgency=low

  * Non maintainer upload.
  * Marked /etc/texmf/sitekcode.tex as conffile. Closes: #132126
  * This package definitely needs a new maintainer... or a wake up
    of the current maintainer.
  * Added Build-Depends-Indep: nkf, debhelper

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 16 Feb 2002 15:11:20 +0100

jtex-base (1.8-6) stable unstable; urgency=low

  * Added dependency to "tetex-bin". (closes: #69926)

 -- Hayao Nakahara <nakahara@debian.org>  Wed,  6 Sep 2000 23:02:51 +0900

jtex-base (1.8-5) stable unstable; urgency=low

  * Change frozen to stable.
  * Fixed the release critical bug for jtex-base.
  * 1.8-4 also fixed the same bug, but 1.8-4 was not installed in potato
    distributin due to the bad distribution in the change file.

 -- Hayao Nakahara <nakahara@debian.org>  Fri, 25 Aug 2000 04:02:53 +0900

jtex-base (1.8-4) frozen unstable; urgency=low

  * Fixed the bug which jtex fails to make format files. (closes: #68945)
    This fix is necessary to work jtex properly. 

 -- Hayao Nakahara <nakahara@debian.org>  Fri, 11 Aug 2000 19:23:13 +0900

jtex-base (1.8-3) frozen unstable; urgency=low

  * Fixed jlatex.ini. 

 -- Hayao Nakahara <nakahara@debian.org>  Thu, 13 Jul 2000 01:37:49 +0900

jtex-base (1.8-2) unstable; urgency=low

  * updated debian/copyright.

 -- Hayao Nakahara <nakahara@debian.org>  Mon,  8 Nov 1999 23:50:53 +0900

jtex-base (1.8-1) unstable; urgency=low

  * Initial Release.

 -- Hayao Nakahara <nakahara@debian.org>  Fri, 22 Oct 1999 15:51:59 +0900

Local variables:
mode: debian-changelog
End:
