=== debian/control ===
Source: jtex-base
Section: tex
Priority: optional
Maintainer: TSUCHIYA Masatoshi <tsuchiya@namazu.org>
Build-Depends: debhelper (>> 7.0.0), nkf
Standards-Version: 3.8.2

Package: jtex-base
Architecture: all
Depends: ${misc:Depends}, texlive-binaries
Recommends: jtex-bin
Conflicts: jtex-bin (<= 1.9.1)
Description: basic NTT JTeX library files
 NTT JTeX is a localized TeX implementation for Japanese text processing.

Package: jlatex209-base
Architecture: all
Depends: ${misc:Depends}, texlive-binaries
Recommends: jlatex209-bin
Conflicts: jtex-base (<= 1.9.1-2)
Description: basic NTT JLaTeX 2.09 macro files
 NTT JLaTeX 2.09 is a Japanized version of LaTeX 2.09.  It is obsolete
 and superseded by JLaTeX 2e which is included in jtex-bin package.
