=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS=-i

PACKAGE  = jtex-base
TOPDIR   = $(CURDIR)/debian/$(PACKAGE)
TEXMF    = $(TOPDIR)/usr/share/texmf
OLDTEXMF = $(CURDIR)/debian/jlatex209-base/usr/share/texmf
SCRIPTS  = $(addprefix debian/jlatex209-base.,postinst postrm)

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp $(SCRIPTS)
	dh_clean

debian/jlatex209-base.%: debian/%
	cp -p $? $@

build: build-stamp
build-stamp:
	touch $@

install: $(SCRIPTS)
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/jtex-base.
	mkdir -p $(TEXMF)
	for f in upstream/*.tar.gz ; do \
		tar xzf "$$f" -C $(TEXMF) ;\
	done

	mv $(TEXMF)/doc/jtex $(TOPDIR)/usr/share/doc/texmf/jtex
	-rm -rf $(TEXMF)/ls-R $(TEXMF)/jbibtex $(TEXMF)/doc

	install -m 644 debian/*.txt $(TOPDIR)/usr/share/doc/$(PACKAGE)
	cd $(TOPDIR)/usr/share/doc/$(PACKAGE) && ln -s ../texmf/jtex doc

	mv $(TEXMF)/tex $(TEXMF)/jtex
	mv $(TEXMF)/jtex/jplain $(TEXMF)/jtex/plain
	mv $(TEXMF)/jtex/jlatex $(TEXMF)/jtex/latex
	mv $(TEXMF)/jtex/amsjtex $(TEXMF)/jtex/amstex
	mv $(TEXMF)/jtex/plain/base/sitekcode.tex $(TOPDIR)/etc/texmf
	cd $(TEXMF)/jtex/plain/base && ln -s /etc/texmf/sitekcode.tex

	sh debian/2euc $(TOPDIR)/usr/share/doc/texmf/jtex/*

	# Macro files of JLaTeX 2.09 are divided into jlatex209 package.
	mkdir -p $(OLDTEXMF)
	for f in upstream-latex209/*.tar.gz ; do \
		tar xzf "$$f" -C $(OLDTEXMF) ;\
	done
	rm -rf $(OLDTEXMF)/doc $(OLDTEXMF)/fonts $(OLDTEXMF)/jbibtex $(OLDTEXMF)/source $(OLDTEXMF)/ls-R
	rm -rf $(OLDTEXMF)/jtex/amstex $(OLDTEXMF)/jtex/latex $(OLDTEXMF)/jtex/plain
	install -m 644 debian/jlatex209.ini $(OLDTEXMF)/jtex/latex209/config

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

build-arch: build
build-indep: build
binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
